<?php

//
//   RCSDB license generator
//

$limits = array(
                // HASP key serial number ("off" to disable limit)
                'serial'   => "off",
                // Maximum number of users ("unlimited" to disable limit)
                'user'     => "unlimited",
                // Maximum number of active backdoors ("unlimited" to disable limit)
                'backdoor' => "unlimited",
                // Maximum number of active WIN32 backdoors ("unlimited" to disable limit)
                'backdoor_WIN32' => "unlimited",
                // Maximum number of active WINMOBILE backdoors ("unlimited" to disable limit)
                'backdoor_WINMOBILE' => "unlimited",
                // Enable forwarders ("enabled" or "disabled")
                'forwarder' => "enabled",
                // Begin of validity UTC "YYYY-MM-DD HH:MM" ("unlimited" to disable limit)
                'begin'    => "unlimited",
                // End of validity UTC "YYYY-MM-DD HH:MM" ("unlimited" to disable limit)
                'end'      => "unlimited"
               );

$license = "- LICENSE INFO (version ".trim(file_get_contents('..\VERSION')).")\n";

foreach($limits as $k => &$v) {
   $license .= "-   [$k]: $v\n";
   if($v == "unlimited") $v = -1;
}
unset($v);
$license .= "\n";

$limits['forwarder'] = (($limits['forwarder'] == "enabled") ? true : false);

date_default_timezone_set('UTC');
if($limits['begin'] != -1) $limits['begin'] = strtotime($limits['begin']);
if($limits['end'] != -1) $limits['end'] = strtotime($limits['end']);

file_put_contents('lic1.tmp', '<?php'.serialize($limits).'?>');

exec('..\bin\rcscrypt lic1.tmp lic2.tmp');

$license .= "-----BEGIN LICENSE-----\n";
$license .= file_get_contents('lic2.tmp');
$license .= "-----END LICENSE-----";

file_put_contents('..\RCSDB.lic', $license);

unlink('lic1.tmp');
unlink('lic2.tmp');

?>